FreeMat

- Main Page
- Related Pages

vtkEnSightGoldBinaryReader

Section: Visualization Toolkit IO Classes

# Usage

vtkEnSightGoldBinaryReader is a class to read EnSight Gold files into vtk. Because the different parts of the EnSight data can be of various data types, this reader produces multiple outputs, one per part in the input file. All variable information is being stored in field data. The descriptions listed in the case file are used as the array names in the field data. For complex vector variables, the description is appended with _r (for the array of real values) and _i (for the array if imaginary values). Complex scalar variables are stored as a single array with 2 components, real and imaginary, listed in that order.

To create an instance of class vtkEnSightGoldBinaryReader, simply invoke its constructor as follows

      obj = vtkEnSightGoldBinaryReader

# Methods

The class vtkEnSightGoldBinaryReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEnSightGoldBinaryReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEnSightGoldBinaryReader = obj.NewInstance ()`
- `vtkEnSightGoldBinaryReader = obj.SafeDownCast (vtkObject o)`